
TYPO3.Flow - Bug # 44285

Status: Closed Priority: -- undefined --
Author: torben Category: - Error Handler Report -
Created: 2013-01-03 Assigned To: Adrian Föder
Updated: 2013-08-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0 beta 1
Subject: TYPO3\FLOW3\Exception thrown in file Scripts.php
Description

It seems like the PHP binary "C:\php/php" cannot be executed by FLOW3. Set the correct path to the PHP executable in
Configuration/Settings.yaml, setting TYPO3.FLOW3.core.phpBinaryPathAndFilename.

10 TYPO3\FLOW3\Core\Booting\Scripts::initializeProxyClasses(TYPO3\FLOW3\Core\Bootstrap)
9 call_user_func(array, TYPO3\FLOW3\Core\Bootstrap)
8 TYPO3\FLOW3\Core\Booting\Step::__invoke(TYPO3\FLOW3\Core\Bootstrap)
7 TYPO3\FLOW3\Core\Booting\Sequence::invokeStep(TYPO3\FLOW3\Core\Booting\Step, TYPO3\FLOW3\Core\Bootstrap)
6 TYPO3\FLOW3\Core\Booting\Sequence::invokeStep(TYPO3\FLOW3\Core\Booting\Step, TYPO3\FLOW3\Core\Bootstrap)
5 TYPO3\FLOW3\Core\Booting\Sequence::invokeStep(TYPO3\FLOW3\Core\Booting\Step, TYPO3\FLOW3\Core\Bootstrap)
4 TYPO3\FLOW3\Core\Booting\Sequence::invoke(TYPO3\FLOW3\Core\Bootstrap)
3 TYPO3\FLOW3\Http\RequestHandler::boot()
2 TYPO3\FLOW3\Http\RequestHandler::handleRequest()
1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

History
#1 - 2013-01-09 18:46 - Alexander Berl

The last line is important ;)
"Please include more helpful information!"

As it looks, your settings.yaml contains the path "C:\php/php", which is not a valid executable path and should probably rather be "C:\php\bin\php.exe"
or sth. depending on where your local PHP Installation is.

#2 - 2013-01-19 12:43 - Adrian Föder
- Status changed from New to Needs Feedback

#3 - 2013-08-14 16:05 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Assigned To set to Adrian Föder
